Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface DomainMBean

public interface DomainMBean
extends TargetMBean

A WebLogic Domain.

A WebLogic Domain is a special target, the "Domain" target.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `discoverManagedServers()` Admin Server's knowledge of running Managed Servers is refreshed.
`JTAMBean` | `getJTA()` Return the JTA configuration for this Domain.
`long` | `getLastModificationTime()` Return the last time this domain was updated.
`LogMBean` | `getLog()` Return the domain logfile configuration for this domain.
`java.lang.String` | `getRootDirectory()` Return the root directory for the domain, relative to the admin server.
`SecurityMBean` | `getSecurity()` Return the security configuration for this domain.
`boolean` | `isActive()` Is this domain active?

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getLastModificationTime

    public long getLastModificationTime()

  Return the last time this domain was updated. This is guaranteed to be unique for a given transactional modification.

### isActive

    public boolean isActive()

  Is this domain active?

### getSecurity

    public SecurityMBean getSecurity()

  Return the security configuration for this domain.

### getJTA

    public JTAMBean getJTA()

  Return the JTA configuration for this Domain.

### getLog

    public LogMBean getLog()

  Return the domain logfile configuration for this domain.

### getRootDirectory

    public java.lang.String getRootDirectory()

  Return the root directory for the domain, relative to the admin server.

### discoverManagedServers

    public void discoverManagedServers()

  Admin Server's knowledge of running Managed Servers is refreshed. Particulary useful when Admin Server is re-started.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD